function FileData_Pairs(x)
{
x.t("supports","connection");
x.t("example","serverurl");
x.t("example","setting");
x.t("example","dynamically");
x.t("parameter","form");
x.t("parameter","expressions");
x.t("protocols","tcp");
x.t("tibjmsconnectionfactory","object\u2019s");
x.t("tibjmsconnectionfactory","object");
x.t("lightweight","directory");
x.t("describes","look");
x.t("describes","lookup");
x.t("integration","guide");
x.t("create","tibjmsconnectionfactory");
x.t("create","connectionfactory");
x.t("create","connection");
x.t("create","tibemsconnectionfactory");
x.t("instance","ems");
x.t("administered","objects");
x.t("tcp://server0:7222","fault-tolerant");
x.t("tcp://server0:7222","tcp://server1:7344");
x.t("ssl","example");
x.t("ssl","ems");
x.t("ssl","creating");
x.t("fault-tolerant","connection");
x.t("fault-tolerant","switchover");
x.t("fault-tolerant","connections");
x.t("topic","queue");
x.t("situations","require");
x.t("secure","connections");
x.t("factories","secure");
x.t("factories","connection");
x.t("factories","jms");
x.t("factories","ems");
x.t("factories","normally");
x.t("factories","store");
x.t("factories","chapter");
x.t("factories","jndi-compliant");
x.t("factories","client");
x.t("factories","java");
x.t("factories","third-party");
x.t("connectionfactory","factory");
x.t("connectionfactory","object");
x.t("interface","(jndi)");
x.t("look","connection");
x.t("working","example");
x.t("type","connection");
x.t("type","client");
x.t("obtained","data");
x.t("sample","client");
x.t("times","500");
x.t("best","results");
x.t("tibemsconnectionfactory_create","status");
x.t("time","best");
x.t("connection","factories");
x.t("connection","count");
x.t("connection","ems");
x.t("connection","attempts");
x.t("connection","attempt");
x.t("connection","e.g");
x.t("connection","factory");
x.t("connection","failure");
x.t("connection","timeout");
x.t("connection","specify");
x.t("however","situations");
x.t("form","serverurl");
x.t("setconnattempttimeout","methods");
x.t("setconnattempttimeout","(1000)");
x.t("connectionfactory.setconnattemptcount","connectionfactory.setconnattemptdelay");
x.t("queue","jms");
x.t("require","clients");
x.t("default","client");
x.t("500","delay");
x.t("500","milliseconds");
x.t("count","delay");
x.t("tibemsconnectionfactory_setconnectattemptcount","tibemsconnectionfactory_setconnectattemptdelay");
x.t("tibemsconnectionfactory_setconnectattemptcount","factory");
x.t("jms","1.0.2b");
x.t("jms","1.1");
x.t("jms","operations");
x.t("access","protocol");
x.t("servers","looking");
x.t("objects","ems");
x.t("objects","stored");
x.t("details","using");
x.t("new","connection");
x.t("new","tibco.ems.connectionfactory");
x.t("new","com.tibco.tibjms.tibjmsconnectionfactory");
x.t("tibco.ems.connectionfactory","(serverurl)");
x.t("hang","attempting");
x.t("setconnattemptcount","setconnattemptdelay");
x.t("setconnattemptcount","(10)");
x.t("status","tibemsconnectionfactory_setconnectattemptcount");
x.t("status","tibemsconnectionfactory_setserverurl");
x.t("status","tibemsconnectionfactory_setconnectattemptdelay");
x.t("status","tibemsconnectionfactory_setconnectattempttimeout");
x.t("ems","describes");
x.t("ems","clients");
x.t("ems","provides");
x.t("ems","allows");
x.t("ems","jndi");
x.t("ems","client");
x.t("ems","server");
x.t("ems","dynamically");
x.t("enterprise","message");
x.t("guide","describes");
x.t("normally","client");
x.t("api","supports");
x.t("results","timeouts");
x.t("timeouts","least");
x.t("reconnections","fault-tolerant");
x.t("url","host");
x.t("looking","administered");
x.t("looking","connection");
x.t("tcp","ssl");
x.t("configuring","ssl");
x.t("configuring","clients");
x.t("directly","application");
x.t("directly","connect");
x.t("specified","period");
x.t("name","transport");
x.t("stored","ems");
x.t("creating","secure");
x.t("creating","connection");
x.t("creating","modifying");
x.t("settings","reconnections");
x.t("clients","fault-tolerant");
x.t("clients","ems");
x.t("clients","creating");
x.t("clients","ldap");
x.t("clients","lookup");
x.t("clients","connect");
x.t("perform","jms");
x.t("parameters","type");
x.t("parameters","default");
x.t("parameters","status");
x.t("parameters","factory");
x.t("parameters","following");
x.t("provides","jndi");
x.t("methods","establish");
x.t("generic","jms");
x.t("csmsgproducer.cs","sample");
x.t("(ldap)","server");
x.t("modifying","administered");
x.t("address","running");
x.t("attempts","timeout");
x.t("allows","establish");
x.t("connectionfactory.setconnattempttimeout","methods");
x.t("string","defining");
x.t("attempt","count");
x.t("attempt","specified");
x.t("attempt","client");
x.t("attempt","connect");
x.t("encapsulates","data");
x.t("defining","protocol");
x.t("developing","ems");
x.t("1.0.2b","connections");
x.t("store","connection");
x.t("store","means");
x.t("jndi","look");
x.t("jndi","implementation");
x.t("jndi","third-party");
x.t("jndi","ldap");
x.t("tibemsconnectionfactory_setserverurl","factory");
x.t("attempting","create");
x.t("1000","connectionfactory.setconnattemptcount");
x.t("1000","status");
x.t("1000","java");
x.t("1000","timeout");
x.t("functions","establish");
x.t("naming/directory","services");
x.t("supported","protocols");
x.t("supported","language");
x.t("connectionfactory.setconnattemptdelay","connectionfactory.setconnattempttimeout");
x.t("(serverurl)","csmsgproducer.cs");
x.t("(serverurl)","tibjmsmsgproducer.java");
x.t("delay","parameters");
x.t("delay","attempt");
x.t("delay","1000");
x.t("delay","timeout");
x.t("delay","values");
x.t("period","time");
x.t("tibemsconnectionfactory_setconnectattemptdelay","functions");
x.t("tibemsconnectionfactory_setconnectattemptdelay","factory");
x.t("minimum","factory");
x.t("1.1","connections");
x.t("means","naming");
x.t("setconnattemptdelay","setconnattempttimeout");
x.t("setconnattemptdelay","(1000)");
x.t("number","factors");
x.t("cause","client");
x.t("(jndi)","server");
x.t("(1000)","tibemsconnectionfactory_setconnectattemptcount");
x.t("(1000)","tibco");
x.t("(1000)","factory");
x.t("chapter","developing");
x.t("chapter","using");
x.t("define","client");
x.t("expressions","string");
x.t("may","cause");
x.t("language","jms");
x.t("://","host");
x.t("transport","protocol");
x.t("directory","interface");
x.t("directory","access");
x.t("jndi-compliant","naming");
x.t("factors","may");
x.t("client","connectionfactory");
x.t("client","working");
x.t("client","connection");
x.t("client","hang");
x.t("client","attempt");
x.t("client","factory");
x.t("client","application");
x.t("client","applications");
x.t("client","connect");
x.t("client","modify");
x.t("tibco","enterprise");
x.t("tibco","software");
x.t("message","service");
x.t("least","500");
x.t("e.g","generic");
x.t("java","tibjmsconnectionfactory");
x.t("java","clients");
x.t("java","client");
x.t("java","naming");
x.t("java","dynamically");
x.t("switchover","described");
x.t("(10)","factory");
x.t("establish","connection");
x.t("establish","new");
x.t("establish","separate");
x.t("factory","tibemsconnectionfactory_create");
x.t("factory","setconnattempttimeout");
x.t("factory","new");
x.t("factory","setconnattemptcount");
x.t("factory","status");
x.t("factory","ems");
x.t("factory","parameters");
x.t("factory","1000");
x.t("factory","supported");
x.t("factory","setconnattemptdelay");
x.t("factory","serverurl");
x.t("factory","either");
x.t("factory","following");
x.t("factory","object");
x.t("tibjmsmsgproducer.java","sample");
x.t("tibemsmsgproducer.c","sample");
x.t("failure","parameters");
x.t("running","instance");
x.t("value","abort");
x.t("implementation","used");
x.t("implementation","lookup");
x.t("connections","example");
x.t("connections","topic");
x.t("connections","api");
x.t("connections","url");
x.t("connections","java");
x.t("connections","information");
x.t("connections","server");
x.t("third-party","jndi");
x.t("third-party","naming/directory");
x.t("services","tibco");
x.t("tibemsconnectionfactory","type");
x.t("abort","connection");
x.t("show","create");
x.t("separate","count");
x.t("data","store");
x.t("data","used");
x.t("host","name");
x.t("host","port");
x.t("urls","example");
x.t("information","details");
x.t("examples","establish");
x.t("examples","show");
x.t("timeout","settings");
x.t("timeout","1000");
x.t("timeout","delay");
x.t("timeout","value");
x.t("reconnection","failure");
x.t("tibemsconnectionfactory_setconnectattempttimeout","factory");
x.t("application","integration");
x.t("application","obtained");
x.t("application","connection");
x.t("application","dynamically");
x.t("values","number");
x.t("port","supported");
x.t("port","client");
x.t("ldap","servers");
x.t("ldap","server");
x.t("described","creating");
x.t("described","setting");
x.t("protocol","(ldap)");
x.t("protocol","address");
x.t("protocol","://");
x.t("protocol","port");
x.t("serverurl","parameter");
x.t("serverurl","tcp://server0:7222");
x.t("serverurl","tibemsmsgproducer.c");
x.t("serverurl","protocol");
x.t("two","times");
x.t("two","urls");
x.t("milliseconds","ems");
x.t("applications","jndi");
x.t("object\u2019s","setconnattemptcount");
x.t("created","application");
x.t("used","store");
x.t("used","define");
x.t("either","dynamically");
x.t("service","clients");
x.t("service","java");
x.t("service","application");
x.t("service","ldap");
x.t("following","examples");
x.t("connect","ems");
x.t("connect","running");
x.t("connect","server");
x.t("lookup","connection");
x.t("using","ssl");
x.t("using","jndi");
x.t("setting","connection");
x.t("setting","new");
x.t("setting","reconnection");
x.t("operations","connection");
x.t("com.tibco.tibjms.tibjmsconnectionfactory","(serverurl)");
x.t("modify","behavior");
x.t("behavior","setting");
x.t("naming","directory");
x.t("naming","service");
x.t("server","lightweight");
x.t("server","create");
x.t("server","connection");
x.t("server","looking");
x.t("server","configuring");
x.t("server","directly");
x.t("server","perform");
x.t("server","minimum");
x.t("server","chapter");
x.t("server","java");
x.t("server","described");
x.t("server","serverurl");
x.t("server","two");
x.t("object","however");
x.t("object","encapsulates");
x.t("object","client");
x.t("object","java");
x.t("dynamically","create");
x.t("dynamically","creating");
x.t("dynamically","created");
x.t("specify","two");
x.t("tcp://server1:7344","configuring");
}
